print('Задание 1')
# Свяжите переменную с любой строкой, состоящей не менее чем из 8 симв-ов
# Извлеките из строки первый символ, затем последний, третий с начала
# и третий с конца.Измерьте длину вашей строки.
b = "quality assurance python"
b = b[1:]
b = b[:-1]
b = b[:1] + b[2:5] + b[6:7]
print(len(b))

print('Задание 2')
# Присвойте произвольную строку длиной 10-15 символов переменной
# и извлеките из нее следующие срезы:
# 1) первые восемь символов
# 2) четыре символа из центра строки
# 3) символы с индексами кратными трем
# 4) переверните строку
x = "quality assurance python"
srt_1 = x[:8]
middle = int((len(x) / 2))
str_2 = x[middle - 2:middle + 2]
str_3 = x[::3]
str_4 = x[::-1]

print('Задание 3')
# Есть строка: “my name is name”. Напечатайте ее,
# но вместо 2ого “name” вставьте ваше имя.
msg = "My name is name"
name = "Lolita"
print(f"my name is {name}")

print('Задание 4')
#  Есть строка: test_string = "Hello world!", необходимо
# - напечатать на каком месте находится буква w
# - кол-во букв l
# - Проверить начинается ли строка с подстроки: “Hello”
# - Проверить заканчивается ли строка подстрокой: “qwe”
x = "Hello world!"
print(x.index("w"))
print(x.count('l'))
print(x.startswith("Hello"))
print(x.endswith("qwe"))

print('Задание 5')
print('Не выполнено')

print('Задание 1')
# Переменной var_int присвойте значение 10,
# var_float - значение 8.4, var_str - "No".
var_int = 10
var_float = 8.4
var_str = "No"

print('Задание 2')
# Измените значение, хранимое в переменной var_int, увеличив его в 3.5 раза,
# результат свяжите с переменной big_int.
var_int *= 3.5
big_int = var_int
print(big_int)

print('Задание 3')
# Измените значение, хранимое в переменной var_float,
# уменьшив его на единицу, результат свяжите с той же переменной.
var_float -= 1
print(var_float)

print('Задание 4')
# Разделите var_int на var_float, а затем big_int на var_float.
# Результат данных выражений не привязывайте ни к каким переменным.
print(var_int / var_float)
print(big_int / var_float)

print('Задание 5')
# Измените значение переменной var_str на "NoNoYesYesYes".
# При формировании нового значения используйте операции конкатенации (+) и
# повторения строки (*).
print('No' * 2 + 'Yes' * 3)
